// handles automatically sizing the topbar

export function setTopbarOffset() {
    const height = document.getElementById("topbar")!.getBoundingClientRect().height;
    document.querySelector(":root")!.style = `--topbar-offset: ${height}px;`
}

export function addToggleDropdownListener() {
    const element = document.getElementById("dropdown-button")!;
    const dropdown = document.getElementById("dropdown")!;
    element.addEventListener("click", () => {
        dropdown.classList.toggle("enabled");
    });
}
